#ifndef DATAPARSER_H
#define DATAPARSER_H

#include <QVector>
#include <qbytearray.h>

#include "protocol.h"
#include "defines.h"

class DataParser
{
public:
    DataParser();

    static QByteArray connectToDevice(const QVector<Phase>&);
    static unsigned short modbusCRC16(unsigned char *data,
                                      unsigned short length);
};

#endif // DATAPARSER_H
